Skip to main content

Create Service Request: Yardi REST

Beta
POSThttps://api.propexo.com/v1/service-requests/yardi_rest/
InterfaceMethod
Service Requests/ItfServiceRequests/CreateOrEditServiceRequests
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    resident_idstring

    The Propexo unique identifier for the resident

    vendor_idstring

    The Propexo unique identifier for the vendor

    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 35 characters

    service_detailsstring

    Details about the service request

    date_createdstring<date-time>

    The date the service request was created

    service_categorystring

    The category of service request

    Show 5 enum values
    ElectricalHVACOtherPlumbingService
    service_prioritystring

    The priority level associated with the service request

    Show 5 enum values
    HighLowMed24 hoursEmergency
    status_rawstring

    The raw status associated with the service request

    Show 17 enum values
    AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork Completed

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    vendor_idstring | nullnullablerequired

    The Propexo unique identifier for the vendor

    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 35 characters

    service_detailsstring | nullnullablerequired

    Details about the service request

    date_created(string | null)<date-time>nullablerequired

    The date the service request was created

    service_categorystring | nullnullablerequired

    The category of service request

    Show 5 enum values
    ElectricalHVACOtherPlumbingService
    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    Show 5 enum values
    HighLowMed24 hoursEmergency
    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    Show 17 enum values
    AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork Completed

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/yardi_rest/
curl -X POST https://api.propexo.com/v1/service-requests/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"access_is_authorized": true,
"service_description": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"resident_id": "string",
"vendor_id": "string",
"access_is_authorized": true,
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_category": "Electrical",
"service_priority": "High",
"status_raw": "Assessment"
}
}